global:
  cattle:
    clusterId: local
    clusterName: local

grafana:
  resources:
    requests:
      cpu: 100m
      memory: 100Mi
    limits:
      cpu: 200m
      memory: 200Mi

prometheus:
  prometheusSpec:
    resources:
      requests:
        cpu: 250m
        memory: 100Mi
      limits:
        cpu: 1000m
        memory: 2000Mi
    scrapeInterval: 1m
    evaluationInterval: 1m
    retention:  30d
    retentionSize: 10GB ## 해당 설정에 Gi 입력 시 에러 발생
    storageSpec:
      volumeClaimTemplate:
        spec:
          accessModes:
          - ReadWriteOnce
          resources:
            requests:
              storage: 10Gi
          storageClassName: longhorn
          volumeMode: Filesystem

alertmanager:
  alertmanagerSpec:
    resources:
      requests:
        cpu: 100m
        memory: 100Mi
      limits:
        cpu: 1000m
        memory: 500Mi

# rke2 클러스터 시 enable 한다.    
# rke2ControllerManager:
#   enabled: true
# rke2Etcd:
#   enabled: true
# rke2Proxy:
#   enabled: true
# rke2Scheduler:
#   enabled: true
# rke2IngressNginx:
#   enabled: true

# helm 배포한 ingressNginx가 배포되어 있을 때 사용한다.
# ingressNginx:
#   enabled: true